%define name	flamerobin
%define version	0.9.2
%define release	%mkrel 4

Summary:	Graphical client for Firebird
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		Databases
Source0:	%{name}-%{version}-src.tar.gz
URL:		http://www.flamerobin.org/
BuildRequires:	firebird-devel >= 2.0.0.12748
BuildRequires:	wxgtku-devel >= 2.6
BuildRequires:  imagemagick
BuildRequires:  sed

%description
FlameRobin is a database administration tool for Firebird DBMS based on wxgtk
toolkit.

%prep
%setup -q -n %{name}-%{version}-src

%build
chmod +x configure
%configure2_5x \
	--with-wx-config=wx-config \
	--disable-debug \
	--mandir=%{buildroot}%{_mandir}/
%make -j ${NRPROC:-1}

%install
rm -rf %{buildroot}
%makeinstall

sed	"s@Categories=Development;Database;GTK@Categories=Development;Database;Application;@"	-i	%{buildroot}/%{_datadir}/applications/%{name}.desktop
echo Encoding=UTF-8 >> %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 16x16 ./res/fricon128.png %{buildroot}%{_miconsdir}/%{name}.png
convert -size 32x32 ./res/fricon128.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 ./res/fricon128.png %{buildroot}%{_liconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs
%{_mandir}/man1/flamerobin.1*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.9.2-4.mga3
+ Revision: 350474
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 philippem <philippem> 0.9.2-3.mga3
+ Revision: 329795
+ rebuild (emptylog)

* Sat Jul 23 2011 ahmad <ahmad> 0.9.2-2.mga2
+ Revision: 128086
- Rebuild against wxgtk2.8 with enabled catch_segvs
- Use %%configure2_5x

* Mon Jan 10 2011 philippem <philippem> 0.9.2-1.mga1
+ Revision: 5309
- imported package flamerobin

